GET V1/Exceptions.{ext}/ExceptionStatus?statusType={statusType}&type={type}
Returns exception statuses based on the exception status type
Mandatory Fileds:N/A
Optional Fileds: N/A.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| statusType |
Type of exception statuses i.e EX or AP, default is Ex |
string |
Default value is EX |
| type |
|
string |
Default value is |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
EMSResponseOfEMS.Exceptions.Entities.ExceptionStatuses| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Exceptions.Entities.ExceptionStatuses |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "ExceptionStatuses",
"response": {
"exceptionStatus": [
{
"status": "sample string 1",
"statusId": 2
},
{
"status": "sample string 1",
"statusId": 2
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.